--- title: "Get instance" slug: "networking-cdn-getglobalcdninstancelist" updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/networking-cdn-getglobalcdninstancelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get instance Available in Classic and VPC Get the list of Global CDN instances. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /cdn/v2/getGlobalCdnInstanceList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Global CDN APIs, see [Global CDN request headers](/docs/en/networking-cdn#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `cdnInstanceNo` | String | Optional | CDN instance number | | `pageNo` | Integer | Optional | Page number - 0-2147483647 | | `pageSize` | Integer | Optional | Number of items per page - 0-2147483647 | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/cdn/v2/getGlobalCdnInstanceList?responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getGlobalCdnInstanceListResponse` | Object | - | Response result | | `getGlobalCdnInstanceListResponse.totalRows` | Integer | - | Number of response results | | `getGlobalCdnInstanceListResponse.globalCdnInstanceList` | Array | - | Instance list: [globalCdnInstanceList](/docs/en/networking-cdn-getglobalcdninstancelist#globalCdnInstanceList) | | `getGlobalCdnInstanceListResponse.requestId` | String | - | ID for the request - UUID format | | `getGlobalCdnInstanceListResponse.returnCode` | String | - | Response code | | `getGlobalCdnInstanceListResponse.returnMessage` | String | - | Response message | #### `globalCdnInstanceList` The following describes `globalCdnInstanceList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `cdnInstanceNo` | String | - | CDN instance ID | | `cdnInstanceStatusName` | String | - | CDN instance status | | `cdnInstanceDescription` | String | - | CDN instance description | | `serviceName` | String | - | Service name | | `isAvailablePartialDomainPurge` | Boolean | - | Partial purge availability - `true` \| `false` - `true`: Available - `false`: Not available | | `globalCdnServiceDomainList` | Array | - | Service domain list: [globalCdnServiceDomainList](/docs/en/networking-cdn-getglobalcdninstancelist#globalCdnServiceDomainList) | | `globalCdnRule` | Object | - | Set up CDN. | | `globalCdnRule.protocolTypeCode` | String | - | Service protocol type | | `globalCdnRule.serviceDomainTypeCode` | String | - | Service domain type - `DEFAULT` \| `USER` - `DEFAULT`: CDN domain provided by NAVER Cloud Platform - `USER`: User-owned domain | | `globalCdnRule.originUrl` | String | - | Origin location | | `globalCdnRule.originPath` | String | - | Source detailed path | | `globalCdnRule.originHttpPort` | Integer | - | Source HTTP port | | `globalCdnRule.originHttpsPort` | Integer | - | Source HTTPS port | | `globalCdnRule.forwardHostHeaderTypeCode` | String | - | Host header forwarding type - `REQUEST_HOST_HEADER` \| `ORIGIN_HOSTNAME` \| `CUSTOM` - `REQUEST_HOST_HEADER`: Use the header received from the client. - `ORIGIN_HOSTNAME`: Replace the header with a specific value. - `CUSTOM`: Specify the header value. | | `globalCdnRule.forwardHostHeader` | String | - | Host header value - If `globalCdnRule.forwardHostHeaderTypeCode` is `CUSTOM`, a valid value is displayed. | | `globalCdnRule.cacheKeyHostNameTypeCode` | String | - | Cache key host name type - `REQUEST_HOST_HEADER` \| `ORIGIN_HOSTNAME` - `REQUEST_HOST_HEADER`: Include the service domain in the cache key. - `ORIGIN_HOSTNAME`: Include the hostname of the source server in the cache key. | | `globalCdnRule.isGzipCompressionUse` | Boolean | - | Whether to use Gzip compression transfer - `true` \| `false` - `true`: Enable. - `false`: Disable. - Shortens response time when used. | | `globalCdnRule.cachingOptionTypeCode` | String | - | Cache options | | `globalCdnRule.isErrorContentsResponseUse` | Boolean | - | Whether to use cached error content when the source can't be used - `true` \| `false` - `true`: Enable - `false`: Disable | | `globalCdnRule.cachingTtlTime` | Integer | - | Maximum cache retention period (second) | | `globalCdnRule.isQueryStringIgnoreUse` | Boolean | - | Whether to ignore query string - `true` \| `false` - `true`: Ignore - `false`: Not ignore | | `globalCdnRule.isRemoveVaryHeaderUse` | Boolean | - | Whether to remove the Vary header - `true` \| `false` - `true`: Enable - `false`: Disable - When enabled, caching after removing the Vary header other than Accept-Encoding from the source server response | | `globalCdnRule.isLargeFileOptimizationUse` | Boolean | - | Whether to enable large file transfer - `true` \| `false` - `true`: Enable. - `false`: Disable. - Optimize large file transfer performance and reliability when enabled. | | `globalCdnRule.gzipResponseTypeCode` | String | - | Gzip compression transfer type - `ORIGIN_RESPONSE` \| `NEVER` \| `ALWAYS` - `ORIGIN_RESPONSE`: Apply the same compression settings as the source. - `NEVER`: Disable. - `ALWAYS`: Enable. | | `globalCdnRule.isReferrerDomainUse` | Boolean | - | Whether to enable referrer domain access control - `true` \| `false` - `true`: Enable. - `false`: Disable. - Respond only if the request contains a specific referrer domain. | | `globalCdnRule.referrerDomainList` | Array | - | List of allowed referrer domains | | `globalCdnRule.isReferrerDomainRestrictUse` | Boolean | - | Whether to block access in the absence of a referrer - `true` \| `false` - `true`: Block - `false`: Allow | | `globalCdnRule.isSecureTokenUse` | Boolean | - | Whether to use security tokens - `true` \| `false` - `true`: Enable. - `false`: Disable. - Authenticate the request with a token and responds only if it passes. | | `globalCdnRule.secureTokenPassword` | String | - | Token key value | | `globalCdnRule.isAccessLogUse` | Boolean | - | Whether to use access logs - `true` \| `false` - `true`: Enable - `false`: Disable | | `globalCdnRule.isRequestCustomHeaderUse` | Boolean | - | Whether to use custom headers in requests - `true` \| `false` - `true`: Enable - `false`: Disable | | `globalCdnRule.requestCustomHeaderList` | Array | - | Custom header list: [globalCdnCustomHeader](/docs/en/networking-cdn-getglobalcdninstancelist#globalCdnCustomHeader) | | `globalCdnRule.isResponseCustomHeaderUse` | Boolean | - | Whether to use custom headers in the response - `true` \| `false` - `true`: Enable - `false`: Disable | | `globalCdnRule.responseCustomHeaderList` | Array | - | Custom header list: [globalCdnCustomHeader](/docs/en/networking-cdn-getglobalcdninstancelist#globalCdnCustomHeader) | #### `globalCdnServiceDomainList` The following describes `globalCdnServiceDomainList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceDomainTypeCode` | String | - | Service domain type - `DEFAULT` \| `USER` - `DEFAULT`: CDN domain provided by NAVER Cloud Platform - `USER`: User-owned domain | | `protocolTypeCode` | String | - | Service protocol | | `defaultDomainName` | String | - | NAVER Cloud Platform domain name | | `userDomainName` | String | - | User domain name | #### `globalCdnCustomHeader` The following describes `globalCdnCustomHeader`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `headerTypeCode` | String | - | Header type - `REQUEST` \| `RESPONSE` - `REQUEST`: Request header - `RESPONSE`: Response header | | `actionTypeCode` | String | - | Action type - `ADD` \| `MODIFY` \| `REMOVE` - `ADD`: Add - `MODIFY`: Edit - `REMOVE`: Delete | | `headerName` | String | - | Header name | | `headerValue` | String | - | Header value | ### Response status codes For information about the HTTP status codes common to all Global CDN APIs, see [Global CDN response status codes](/docs/en/networking-cdn#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getGlobalCdnInstanceListResponse": { "totalRows": 3, "globalCdnInstanceList": [ { "cdnInstanceNo": "2851****", "cdnInstanceStatusName": "running", "cdnInstanceDescription": "", "serviceName": "cdn000", "isAvailablePartialDomainPurge": false, "globalCdnServiceDomainList": [ { "serviceDomainTypeCode": "DEFAULT", "protocolTypeCode": "HTTP", "defaultDomainName": "fdhv**************.gcdn.ntruss.com", "userDomainName": "" } ], "globalCdnRule": { "protocolTypeCode": "HTTP", "serviceDomainTypeCode": "DEFAULT", "originUrl": "data4c8f9378.kr.object.ncloudstorage.com", "originPath": "/year%3D2023", "originHttpPort": 80, "originHttpsPort": 0, "forwardHostHeaderTypeCode": "ORIGIN_HOSTNAME", "forwardHostHeader": "", "cacheKeyHostNameTypeCode": "REQUEST_HOST_HEADER", "isGzipCompressionUse": true, "cachingOptionTypeCode": "EXPIRES", "isErrorContentsResponseUse": true, "cachingTtlTime": 604800, "isQueryStringIgnoreUse": true, "isRemoveVaryHeaderUse": true, "isLargeFileOptimizationUse": true, "gzipResponseTypeCode": "ORIGIN_RESPONSE", "isReferrerDomainUse": false, "referrerDomainList": [], "isReferrerDomainRestrictUse": false, "isSecureTokenUse": true, "secureTokenPassword": "fd5*************", "isAccessLogUse": true, "isRequestCustomHeaderUse": true, "requestCustomHeaderList": [ { "headerTypeCode": "REQUEST", "actionTypeCode": "DELETE", "headerName": "date", "headerValue": "" } ], "isResponseCustomHeaderUse": true, "responseCustomHeaderList": [ { "headerTypeCode": "RESPONSE", "actionTypeCode": "ADD", "headerName": "client", "headerValue": "remote" } ] } }, ... ], "requestId": "7c3662e4-****-****-****-0a15aa98a9a9", "returnCode": "0", "returnMessage": "success" } } ```